summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-10-23 10:32:46 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2008-10-23 10:32:46 +0200
commitaabaaa3cbdc8078311e7e1e2c0446eb91e9217ba (patch)
tree13859c24462a5d6375df17bef04359cff073a8c0 /bin
parent77f78b2ede7cbb19fb0a2fc0a898f01488855c05 (diff)
bin/pkg: Improved SILENT a bit
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pkg5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/pkg b/bin/pkg
index 5d5c22c..57e840f 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -50,7 +50,7 @@ function check_valid {
}
function clear_line {
- echo -ne "\r\e[2K"
+ (( SILENT )) || echo -ne "\r\e[2K"
}
# Read local configuration
@@ -133,6 +133,7 @@ function confirm_no {
##
function progress {
+ (( SILENT )) && return
current=$1
max=$2
desc=$3
@@ -151,7 +152,7 @@ function progress {
item $c '='
item $a ' '
output+="] $currentper% $desc2"
- (( SILENT )) || echo -ne $output
+ echo -ne $output
}
## VCS Wrappers